Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 4 Dec 2018 20:29:18 +0100
From:      Polytropon <freebsd@edvax.de>
To:        B J <va6bmj@gmail.com>
Cc:        freebsd-questions <freebsd-questions@freebsd.org>
Subject:   Re: Fresh Installation Of FreeBSD 11.2--Mate Not Working Properly
Message-ID:  <20181204202918.64f6e9eb.freebsd@edvax.de>
In-Reply-To: <CAP7QzkN-0vXv0QZytfUE5f1N=DPBdh6-0_MnkgH6_Lay7iYq8g@mail.gmail.com>
References:  <CAP7QzkMd5jZ-DRj+UC0r++fQPkzxW-_3d7jkEVFzWox6xfX_6A@mail.gmail.com> <CAP7QzkPeWsmUSvxUQpQKASnz5r1LJPR27f9t9t+jfDW_iweQzQ@mail.gmail.com> <20181202231414.bc873ae8.freebsd@edvax.de> <CAP7QzkM7Ma7Hn0ESrniGBTE6847FUPVwpHw79x4om3QMjHGxHg@mail.gmail.com> <3b1f0a32-175e-2535-ce70-ac8935cf85eb@yandex.com> <CAP7QzkNo=s=_QedKrFCjF0H5dHVu=Zq=j--xqBG6eO_qbbTkhA@mail.gmail.com> <20181203184153.b37810d9.freebsd@edvax.de> <CAP7QzkPNBSH0ND6XoU074NiNq6FhnUiePQBCSo_-Yu=6mT6xgQ@mail.gmail.com> <20181204183621.9358c17e.freebsd@edvax.de> <CAP7QzkN-0vXv0QZytfUE5f1N=DPBdh6-0_MnkgH6_Lay7iYq8g@mail.gmail.com>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Tue, 4 Dec 2018 18:35:52 +0000, B J wrote:
> <snip>
> 
> > Isn't that scary? All those messages are usually hidden.
> > You can even get more shocked when you build from source,
> > then you'll see tons of warnings... terrible attitude...
> > Part of the error messages aren't even helpful, like the
> > inability to "find provider ' '" - that's really great!
> > It seems the times of usable and bloat-reduced software
> > is long gone... :-/
> 
> It reminds me of when, during my sophomore undergrad year, I first
> learned programming with WATFOR/WATFIV.  It often produced a lot of
> cryptic error messages which I, a rookie at this, often couldn't
> figure out.

There was a reference manual where you could look up
most error codes. ;-)



> Worse was that we did it in those days with punch cards
> because interactive terminal weren't, for the most part, available on
> campus.

Not that worse. It emphasized the "first think, then code"
mentality which today has been obsoleted by "works on my
machine" and "silence the compiler", as well as "warnings
are not errors" and "I don't care"...




> >> Then there were some messages regarding the location of
> >> GNOME_KEYRING_CONTROL and SSH_AUTH_SOCK, followed by:
> >>
> >> Connection failure: Connection refused
> >> pa_context_connect() failed:  Connection refused
> >
> > Check in /etc/rc.conf for the presence of the following settings,
> > which I found from a reference MATE system (which uses slim instead
> > of gdm, as Gnome was removed due to the Gnome 2 -> Gnome 3
> > trouble):
> >
> > 	hald_enable="YES"
> > 	dbus_enable="YES"
> > 	polkitd_enable="YES"
> > 	volmand_enable="YES"
> > 	slim_enable="YES"
> >
> > That last line refers to slim, a display manager (GUI login).
> > Anyway, make sure HAL (deprecated), DBus (obsoleted), PolKit
> > (nonsense) are actually installed on your system.
> 
> I used
> 
> hald_enable='YES'
> dbus_enable='YES'
> 
> in /etc/rc.conf.  It appears they're both installed and working.  Running:
> 
> dbus-launch
> 
> gave me some DBUS_SESSION messages
> 
> I also tried:
> 
> dbus-launch lshal
> 
> which produced a long listing of various devices on the machine.

Okay, so those infrastructures are up and running. Good.



> >> The Mate desktop starts with its default configuration except that the
> >> size was for a larger monitor display.  I was able to start Mate
> >> Terminal, but it was sluggish moving the window.
> >
> > You can use xrandr interactively from a terminal to set the
> > correct screen size. You can make the setting permanent by
> > adding it to your ~/.xinitrc, for example:
> >
> > 	xrandr --fb 1400x1050
> > 	xrandr --size 1400x1050
> 
> I'll keep that in mind, though with the installation on the other HD
> on my computer, that was never required.

It _should_ not be required at all. But in worst case, you can
always use this as a fallback level (a _lower_ level!) where
you can quickly get things to behave as they should.



> I started X on the machine and brought up xterm.  Running xrandr gave
> me the message:
> 
> Failed to get size of gamma for output default
> 
> as well as a listing of available screen sizes.  I reset it using
> 
> xrandr --size 1024x768
> 
> but running
> 
> xrandr --fb 1024x768
> 
> still gave me the gamma size error message.

In that case, I think the call with the --size parameter is
sufficient.

Still the message is just a warning, I get it too:

	% xrandr
	xrandr: Failed to get size of gamma for output default
	Screen 0: minimum 320 x 175, current 1400 x 1050, maximum 1400 x 1050
	[...]

It seems to be no problem.



> > There is some documentation regarding Gnome on how to deal
> > with HAL, which scatters its stupid XML configuration across
> > the /usr/local subtree. This documentation also seems to work
> > with MATE.
> >
> > https://www.freebsd.org/gnome/
> >
> > https://www.freebsd.org/gnome/docs/faq2.html
> >
> > https://www.freebsd.org/gnome/docs/halfaq.html
> >
> > Relevant files can be found in /usr/local/share/polkit-1/actions,
> > they should already be installed by MATE.
> >
> 
> I checked that directory and there were a number of org.*.*.policy
> files, including one for Gnome and several for Mate.  I assume these
> might the ones I should look at.

In my opinion, they should work as the installer created them
there. I don't remember to have seen a _requirement_ to edit
them, unlike others (related to auto-mounting, which never
really worked).



> >> So, what does this all mean and would it be possible to salvage the
> >> installation?
> >
> > Yes. ;-)
> >
> > You are more or less fighting the narrow view of programmers
> > who primarily develop for Linux. In order to get MATE working
> > on FreeBSD, there is some work you need to do, messing with
> > stupid XML files, running outdated system services that were
> > abolished in Linux years ago... but yes, sure, it is of course
> > possible to get MATE running on FreeBSD, as I refered to from
> > an older reference system running MATE; I'm not sure I would
> > be able to get a similar system installed and configured on a
> > more recent FreeBSD version from scratch... :-)
> 
> <snip>
> 
> That's sort of what I thought.  Installing everything using earlier
> versions of FreeBSD and software packages likely also installed all
> the necessary files to get the system running.  But that was several
> years ago.  In between time, for some reason, those files were no
> longer being installed by the updated versions of those packages.

You should rely on the dependency resolving mechanism of pkg.
If you can make a clean install, just install the "top ports",
i. e., the things you're actually going to use, while ignoring
possible dependencies you might have on a list from an older
installation.



> In other words, I did nearly everything right this past weekend based
> on what worked before.  But there might have been some extra things
> that needed to be done and that's what I missed.

Correct.



> At least I have the other system to refer to when I check those files.

It's always good to have some reference system, and if it's just
that you can have a look at certain configuration files, or notes
that you took on that system on where you had to modify something.


-- 
Polytropon
Magdeburg, Germany
Happy FreeBSD user since 4.0
Andra moi ennepe, Mousa, ...



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20181204202918.64f6e9eb.freebsd>